using System;
using System.Collections.Generic;
using System.Text;
using Edu.Common.Plugin;

namespace Edu.Common.Enum.Finance
{
    /// <summary>
    /// 费用类型枚举
    /// </summary>
    public enum CostEnum
    {

        /// <summary>
        /// 佣金收入
        /// </summary>
        [EnumField("佣金收入")]
        YJSR = 1,
        /// <summary>
        /// 自费收入
        /// </summary>
        [EnumField("自费收入")]
        ZFSR = 2,
        /// <summary>
        /// 小费收入
        /// </summary>
        [EnumField("小费收入")]
        XFSR = 3,
        /// <summary>
        /// 佣金+小费+自费
        /// </summary>
        [EnumField("佣金+小费+自费")]
        YJXFZF = 4,
        /// <summary>
        /// 邀请函、名单表
        /// </summary>
        [EnumField("邀请函、名单表")]
        YQH = 5,
        /// <summary>
        /// 车资
        /// </summary>
        [EnumField("车资")]
        CZ = 6,
        /// <summary>
        /// 国内联运机票
        /// </summary>
        [EnumField("国内联运机票")]
        GNLY = 7,
        /// <summary>
        /// 签证
        /// </summary>
        [EnumField("签证")]
        QZ = 8,
        /// <summary>
        /// 其他
        /// </summary>
        [EnumField("其他")]
        QT = 9,
        /// <summary>
        /// 地接款支出
        /// </summary>
        [EnumField("地接款支出")]
        DJZC = 10,
        /// <summary>
        /// 地接款收入
        /// </summary>
        [EnumField("地接款收入")]
        DJSR = 11,
        /// <summary>
        /// 保险费
        /// </summary>
        [EnumField("保险费")]
        YWX = 14,
        /// <summary>
        /// 工资
        /// </summary>
        [EnumField("工资")]
        GZ = 15,
        /// <summary>
        /// 员工提成
        /// </summary>
        [EnumField("员工提成")]
        YGTC = 16,
        /// <summary>
        /// 社保
        /// </summary>
        [EnumField("社保")]
        SB = 17,
        /// <summary>
        /// 员工福利及竞赛奖金
        /// </summary>
        [EnumField("福利及奖金")]
        YGFL = 18,
        /// <summary>
        /// 办公用品
        /// </summary>
        [EnumField("办公用品")]
        BGYP = 19,
        /// <summary>
        /// 差旅费
        /// </summary>
        [EnumField("差旅费")]
        CLF = 20,
        /// <summary>
        /// 电话费(通訊費)
        /// </summary>
        [EnumField("电话费(通訊費)")]
        DH = 21,
        /// <summary>
        /// 物管水电费
        /// </summary>
        [EnumField("物管水电费")]
        WGSDF = 22,
        /// <summary>
        /// 房租
        /// </summary>
        [EnumField("房租")]
        FZ = 23,
        /// <summary>
        /// 广告费
        /// </summary>
        [EnumField("广告费")]
        GGF = 24,
        /// <summary>
        /// 业务招待
        /// </summary>
        [EnumField("业务招待")]
        YWZDF = 25,
        /// <summary>
        /// 累计折旧
        /// </summary>
        [EnumField("累计折旧")]
        LJZK = 26,
        /// <summary>
        /// 税金
        /// </summary>
        [EnumField("税金")]
        SJ = 27,
        /// <summary>
        /// 平台使用费
        /// </summary>
        [EnumField("平台使用费")]
        PTSYF = 28,
        /// <summary>
        /// 電腦系统费
        /// </summary>
        [EnumField("電腦系统费")]
        DNXTF = 29,
        /// <summary>
        /// 市内交通费
        /// </summary>
        [EnumField("市内交通费")]
        SNJTF = 30,
        /// <summary>
        /// 团队建设费
        /// </summary>
        [EnumField("团队建设费")]
        TDJSF = 31,
        /// <summary>
        /// 会务费
        /// </summary>
        [EnumField("会务费")]
        HWF = 32,
        /// <summary>
        /// 同行返利
        /// </summary>
        [EnumField("同行返利")]
        THFL = 33,
        /// <summary>
        /// 工会经费
        /// </summary>
        [EnumField("工会经费")]
        GFJF = 34,
        /// <summary>
        /// 律师费
        /// </summary>
        [EnumField("律师费")]
        LSF = 35,
        /// <summary>
        /// 服务器管理费
        /// </summary>
        [EnumField("服务器管理费")]
        FWQGLF = 36,
        /// <summary>
        /// 导游佣金
        /// </summary>
        [EnumField("导游佣金")]
        DYYJ = 37,
        /// <summary>
        /// 导游佣金
        /// </summary>
        [EnumField("导游佣金")]
        LDYJ = 38,
        /// <summary>
        /// 航空公司保证金（会退）
        /// </summary>
        [EnumField("航空公司保证金（会退）")]
        HKBZJ = 39,
        /// <summary>
        /// 航空公司大订金（会抵扣）
        /// </summary>
        [EnumField("航空公司大订金（会抵扣）")]
        HKDDJ = 40,
        /// <summary>
        /// 汇款手续费
        /// </summary>
        [EnumField("汇款手续费")]
        HKSXF = 41,
        /// <summary>
        /// 利息收入
        /// </summary>
        [EnumField("利息收入")]
        LXSR = 42,
        /// <summary>
        /// 汇兑损益
        /// </summary>
        [EnumField("汇兑损益")]
        HDSY = 43,
        /// <summary>
        /// 营业外收入
        /// </summary>
        [EnumField("营业外收入")]
        YYWSR = 44,
        /// <summary>
        /// 营业外收入1（公司日常收入单）
        /// </summary>
        [EnumField("营业外收入1（公司日常收入单）")]
        YYWSR1 = 45,
        /// <summary>
        /// 应收款(老系统type=6)
        /// </summary>
        [EnumField("应收款(老系统type=6)")]
        YSK = 46,
        /// <summary>
        /// 应付款(老系统type=7)
        /// </summary>
        [EnumField("应付款(老系统type=7)")]
        YFK = 47,
        /// <summary>
        /// 其他营业支出
        /// </summary>
        [EnumField("其他营业支出")]
        QTYYZC = 48,
        /// <summary>
        /// 所得税费用
        /// </summary>
        [EnumField("所得税费用")]
        SDSFY = 49,
        /// <summary>
        /// 营业税金
        /// </summary>
        [EnumField("营业税金")]
        YYSJ = 50,
        /// <summary>
        /// 简易报表其他
        /// </summary>
        [EnumField("简易报表其他")]
        JYBBQT = 51,
        /// <summary>
        /// 快递费
        /// </summary>
        [EnumField("快递费")]
        KDF = 52,
        /// <summary>
        /// 应收应付款
        /// </summary>
        [EnumField("应收应付款")]
        YSYFK = 53,
        /// <summary>
        /// 赔偿
        /// </summary>
        [EnumField("赔偿")]
        PC = 54,
        /// <summary>
        /// 挂账投资款
        /// </summary>
        [EnumField("挂账(投资款)")]
        YSYFKTZ = 55,
        /// <summary>
        /// 挂账利润分配
        /// </summary>
        [EnumField("挂账(利润分配)")]
        GZLRFP = 61,
        /// <summary>
        /// 挂账员工红利
        /// </summary>
        [EnumField("挂账(员工红利)")]
        GZYGHL = 62,
        /// <summary>
        /// 预付款(酒店)
        /// </summary>
        [EnumField("预付款(酒店)")]
        YFKJD = 63,
        /// <summary>
        /// 预付款(门票)
        /// </summary>
        [EnumField("预付款(门票)")]
        YFKMP = 64,
        /// <summary>
        /// 预付款(餐厅)
        /// </summary>
        [EnumField("预付款(餐厅)")]
        YFKCT = 65,
        /// <summary>
        /// 预付款(车资)
        /// </summary>
        [EnumField("预付款(车资)")]
        YFKCZ = 66,
        /// <summary>
        /// 预付款(机票)
        /// </summary>
        [EnumField("预付款(机票)")]
        YFKJP = 67,
        /// <summary>
        /// 预付款(保证金.押金)
        /// </summary>
        [EnumField("预付款(保证金.押金)")]
        YFKBZJYJ = 68,
        /// <summary>
        /// 预付款(保证金.押金)
        /// </summary>
        [EnumField("股东权益(领队.导游保证金)")]
        LDDYBZJ = 69,

        /// <summary>
        /// 居间佣金
        /// </summary>
        [EnumField("居间佣金")]
        JJYJ = 70,
        /// <summary>
        /// 备用金
        /// </summary>
        [EnumField("备用金")]
        BYJ = 71,
        /// <summary>
        /// 个人借款
        /// </summary>
        [EnumField("个人借款")]
        GRJD = 72,
        /// <summary>
        /// 其他代垫代收
        /// </summary>
        [EnumField("其他代垫代收")]
        QTDDDF = 73,
        /// <summary>
        /// 陈芳英款项
        /// </summary>
        [EnumField("陈芳英款项")]
        CYFKX = 74
    }
}
